Get storage usage

GET/billing/v1/storage-usage

Returns the organization's storage usage.

Authorization<token>

In: header

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/billingv1.StorageUsage",
  "$ref-value": {
    "properties": {
      "image_file_count": {
        "type": "integer"
      },
      "image_storage_bytes": {
        "type": "integer"
      },
      "last_updated": {
        "type": "string"
      },
      "max_image_count": {
        "type": "integer"
      },
      "max_project_count": {
        "type": "integer"
      },
      "max_video_count": {
        "type": "integer"
      },
      "org_id": {
        "type": "string"
      },
      "project_count": {
        "type": "integer"
      },
      "snapshot_date": {
        "type": "string"
      },
      "total_file_count": {
        "type": "integer"
      },
      "total_storage_bytes": {
        "type": "integer"
      },
      "total_video_minutes": {
        "type": "string"
      },
      "video_file_count": {
        "type": "integer"
      },
      "video_storage_bytes": {
        "type": "integer"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/billing/v1/storage-usage"

OK

application/json

{
  "$ref": "#/components/schemas/billingv1.StorageUsage",
  "$ref-value": {
    "properties": {
      "image_file_count": {
        "type": "integer"
      },
      "image_storage_bytes": {
        "type": "integer"
      },
      "last_updated": {
        "type": "string"
      },
      "max_image_count": {
        "type": "integer"
      },
      "max_project_count": {
        "type": "integer"
      },
      "max_video_count": {
        "type": "integer"
      },
      "org_id": {
        "type": "string"
      },
      "project_count": {
        "type": "integer"
      },
      "snapshot_date": {
        "type": "string"
      },
      "total_file_count": {
        "type": "integer"
      },
      "total_storage_bytes": {
        "type": "integer"
      },
      "total_video_minutes": {
        "type": "string"
      },
      "video_file_count": {
        "type": "integer"
      },
      "video_storage_bytes": {
        "type": "integer"
      }
    },
    "type": "object"
  }
}